EDIT - feature request #7434

while importing sequences it should be possible to download fasta file
05/23/2018 02:20 PM - Katja Luther

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

for the blast search we need fasta files of the sequences to create the BLAST DB. Therefore it should be possible to download this
sequence file and add it to the BLAST DB.

For Biocase Import the URI of the sequence file can be find in ConsensusSequenceChromatogramFileURI:

e collect the uris

¢ download them to a project specific path

e update the BLAST DB (path should be a project property) -> add the new fasta files to the complete Fasta file and create a new
BLAST DB

Associated revisions

Revision ee6e93fe - 05/23/2018 02:55 PM - Katja Luther

ref #7434: remember sequence uris for downloading the files at the end of the import

History

#1 - 05/23/2018 02:21 PM - Katja Luther
- Tags changed from gb, abcd to abcd, gbol

#2 - 05/23/2018 02:36 PM - Katja Luther

- Description updated

#3 - 05/23/2018 02:37 PM - Katja Luther

- Description updated

#4 - 06/28/2018 09:58 AM - Andreas Miiller

- Assignee set to Katja Luther

#5 - 06/28/2018 10:10 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#6 - 08/17/2018 03:53 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#7 - 09/06/2018 01:33 PM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#8 - 10/23/2018 10:41 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#9 - 10/25/2018 07:11 PM - Andreas Miiller

Can you please add a category?

#10 - 11/05/2018 09:36 AM - Katja Luther

- Category set to cdmadapter
#11 - 02/19/2019 02:44 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#12 - 02/19/2019 03:13 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release
